# Jake - JavaScript build tool

**Notice** This is a an extension that is bundled with Visual Studio Code.

This extension supports running [Jake](http://jakejs.com/) tasks defined in a `Jakefile.js` file as [VS Code tasks](https://code.visualstudio.com/docs/editor/tasks). Jake tasks with the name 'build', 'compile', or 'watch' are treated as build tasks.

To run Jake tasks use the `Tasks` menu.

## Settings
- `jake.autoDetect` enable detecting tasks from `Jakefile.js` files, the default is `on`.
